oracle.pgx.api.admin

## Class AbstractControl

- java.lang.Object
- - oracle.pgx.api.admin.AbstractControl

- All Implemented Interfaces:
    Control

      public abstract class AbstractControl
      extends Object
      implements Control

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LOG_MESSAGE_NO_CONFIG_FOUND`

    - ### Fields inherited from interface oracle.pgx.api.admin.Control

      `PGX_CONFIG_FILE_SYSTEM_PROPERTY, SERVER_CONFIG_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractControl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PgxFuture<Void>` | `shutdownNowIfRunning()`
    `PgxFuture<Void>` | `start()`
    `PgxFuture<Void>` | `start(InputStream config)`
    `PgxFuture<Void>` | `start(Map<PgxConfig.Field,Object> config)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface oracle.pgx.api.admin.Control

      `addPinnedGraph, demotePinnedGraph, getGraphInfo, getGraphInfo, getGraphInfos, getMemoryInfo, getPgxConfig, getSessionInfo, getSessionInfos, getThreadPoolInfo, isRunning, killSession, lookupPreloadedGraph, resizePool, shutdown, shutdownNow, start`

- - ### Field Detail

    - #### LOG_MESSAGE_NO_CONFIG_FOUND

          public static final String LOG_MESSAGE_NO_CONFIG_FOUND

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractControl

          public AbstractControl()

  - ### Method Detail

    - #### shutdownNowIfRunning

          public PgxFuture<Void> shutdownNowIfRunning()

      Specified by:
        `shutdownNowIfRunning` in interface `Control`

    - #### start

          public final PgxFuture<Void> start()

      Specified by:
        `start` in interface `Control`

    - #### start

          public final PgxFuture<Void> start(InputStream config)

      Specified by:
        `start` in interface `Control`

    - #### start

          public final PgxFuture<Void> start(Map<PgxConfig.Field,Object> config)

      Specified by:
        `start` in interface `Control`

Copyright © 2015. All rights reserved.